Subject: P: nm and MS-Libs
From: Alexander Mader <[email-masked]>
To: [email-masked]
Date: Tue, 31 Aug 1999 10:33:44 +0200

Hallo,

in order to make MSNAME.a from a MSNAME.lib I try to extract the symbols
the following way

	echo "EXPORTS" > msname.def;

	nm --demangle --defined-only MSNAME.lib \
	|sed -n 's/^.* T //p' >> msname.def

	dlltool --dllname MSNAME.DLL --def msname.def \

	--output-lib libmsname.a

Unfortunately I get 

	nm: MSNAME.DLL: File format not recognized

likewise with a test using objdump.

I have no idea where this failure could come from.

In the archive I read something about a program pexport and it sounded
like symbol extracting as well. Could this help? Where can I find it?

Best regards,

Alexander.
--
Alexander Mader <[email-masked]>
NILES Werkzeugmaschinenfabrik GmbH

--
Want to unsubscribe from this list?
Send a message to [email-masked]